# $Revision: 1.33 $, $Date: 2012/03/28 07:26:07 $
Summary:	Free source code editing component for GTK+ and Win32
Summary(pl.UTF-8):	Wolnodostępna kontrolka edycyjna dla GTK+ i Win32
Name:		scintilla
Version:	2.27
%define	fver	%(echo %{version} | tr -d .)
Release:	4
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/scintilla/%{name}%{fver}.tgz
# Source0-md5:	f8a4175cb24d24dee32b05400aaea6ce
Patch0:		%{name}-make.patch
URL:		http://scintilla.org/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Scintilla is a free source code editing component. It comes with
complete source code and a license that permits use in any free
project or commercial product. As well as features found in standard
text editing components, Scintilla includes features especially useful
when editing and debugging source code. These include support for
syntax styling, error indicators, code completion and call tips. The
selection margin can contain markers like those used in debuggers to
indicate breakpoints and the current line. Styling choices are more
open than with many editors, allowing the use of proportional fonts,
bold and italics, multiple foreground and background colours and
multiple fonts.

%description -l pl.UTF-8
Scintilla to wolnodostępna kontrolka do edycji kodu. Przychodzi z
pełnym kodem źródłowym i licencja pozwalającą na używanie w dowolnym
projekcie darmowym lub komercyjnym. Oprócz możliwości obecnych w
standardowych kontrolkach do edycji tekstu, Scintilla ma dodatkowe,
przydatne szczególnie przy edycji i szukaniu błędów w kodzie
źródłowym. Możliwości te obejmują obsługę stylu składni, podświetlanie
błędów, dopełnianie kodu i podpowiedzi. Marginesy mogą zawierać
znaczniki podobne do tych używanych do oznaczenia breakpointów lub
bieżącej linii w debuggerach. Wybór stylu jest bardziej otwarty niż w
wielu edytorach, pozwalając na użycie fontów proporcjonalnych,
pogrubionych i pochylonych, wielu kolorów pisma i tła oraz wielu
fontów.

%package devel
Summary:	scintilla header files
Summary(pl.UTF-8):	Pliki nagłówkowe scintilli
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 1:2.0.0
Requires:	libstdc++-devel

%description devel
scintilla header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe scintilli.

%package static
Summary:	Static scintilla library
Summary(pl.UTF-8):	Statyczna biblioteka scintilla
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static scintilla library.

%description static -l pl.UTF-8
Statyczna biblioteka scintilla.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} -C gtk \
	CC="%{__cxx}" \
	CCOMP="%{__cc}" \
	OPTFLAGS="%{rpmcflags}" \
	libdir="%{_libdir}" \
	%{?debug:DEBUG=1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}

%{__make} -C gtk install \
	libdir="%{_libdir}" \
	DESTDIR=$RPM_BUILD_ROOT

install include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt doc/*
%attr(755,root,root) %{_libdir}/libscintilla.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libscintilla.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libscintilla.so
%{_libdir}/libscintilla.la
%{_includedir}/scintilla

%files static
%defattr(644,root,root,755)
%{_libdir}/libscintilla.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scintilla.spec,v $
Revision 1.33  2012/03/28 07:26:07  arekm
- release 4

Revision 1.32  2012/02/12 15:10:04  adamg
- release 3 (rebuild against libpng-1.5)

Revision 1.31  2011/12/20 19:38:46  arekm
- release 2

Revision 1.30  2011/06/23 10:51:05  qboosh
- updated to 2.27
- updated make patch

Revision 1.29  2010/05/16 23:41:34  arvenil
- up to 2.11

Revision 1.28  2009/10/23 13:01:42  pluto
- updated to 2.01.

Revision 1.27  2008/04/01 21:01:35  qboosh
- ghost soname symlink

Revision 1.26  2008-03-30 13:27:17  shadzik
- 1.76

Revision 1.25  2007-02-21 02:54:59  charles
- updated to 1.72

Revision 1.24  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.22  2006/11/15 22:07:34  qboosh
- updated make patch to respect OPTFLAGS
- gtk+2 epoch

Revision 1.21  2006/11/06 12:11:35  matkor
- Version 1.71-1.

Revision 1.20  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.19  2006/01/27 19:23:06  qboosh
- -devel R: libstdc++-devel

Revision 1.18  2005/12/20 13:51:12  arekm
- up to 1.67

Revision 1.17  2005/08/27 13:35:50  arekm
- up to 1.66

Revision 1.16  2005/06/18 15:25:10  zbyniu
- BR: libtool, pkgconfig

Revision 1.15  2005/04/05 16:01:54  arekm
- md5

Revision 1.14  2005/04/05 15:59:32  arekm
- up to 1.63

Revision 1.13  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.12  2004/11/23 21:17:53  arekm
- updated to 1.62

Revision 1.11  2004/07/30 11:27:39  grzegol
- updated to 1.61 (by Aleksander Filuba)
- strict internal deps

Revision 1.10  2004/02/08 21:43:40  qboosh
- use proper Source0, release 2

Revision 1.9  2004/02/08 15:14:47  grzegol
- updated to 1.58

Revision 1.8  2004/01/02 17:57:50  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.7  2004/01/01 11:38:30  jajcus
- pass libdir to make

Revision 1.6  2003/12/19 17:49:44  eothane
- %bcond_with new_bconds
- changed dl.sf.net to dl.sourceforge.net (SourceN:)

Revision 1.5  2003/05/30 11:18:12  qboosh
- ghrrr... merged lost changes

Revision 1.3  2003/05/25 18:31:34  qboosh
- finished

Revision 1.4  2003/05/28 13:01:45  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/19 15:19:27  ankry
- fixed Source URL
- some summary

Revision 1.1  2003/05/16 09:38:52  qboosh
- saving URLs
